Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep.nodeTypes
Class ASTMVarNode

    java.lang.Object
      org.nfunk.jep.SimpleNode
          org.nfunk.jep.ASTVarNode
              org.lsmp.djep.matrixJep.nodeTypes.ASTMVarNode

All Implemented Interfaces:
  MatrixNodeI, Node

    public class ASTMVarNode

extends ASTVarNode
implements MatrixNodeI

Author:
  Rich Morris Created on 01-Feb-2004

Field Summary

Fields inherited from class org.nfunk.jep.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTMVarNode(int i)`

Method Summary
`Dimensions` | `getDim()`
`MatrixValueI` | `getMValue()`
`void` | `setVar(Variable var)` Sets the name of the variable.

Methods inherited from class org.nfunk.jep.ASTVarNode
`getName, getVar, jjtAccept, toString`

Methods inherited from class org.nfunk.jep.SimpleNode
`childrenAccept, dump, getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.nfunk.jep.Node
`jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent`

Constructor Detail

### ASTMVarNode

    public ASTMVarNode(int i)

Method Detail

### getDim

    public Dimensions getDim()

  Specified by:
    `getDim` in interface `MatrixNodeI`

### setVar

    public void setVar(Variable var)

  Description copied from class: `ASTVarNode`
  Sets the name of the variable.

  Overrides:
    `setVar` in class `ASTVarNode`

### getMValue

    public MatrixValueI getMValue()

  Specified by:
    `getMValue` in interface `MatrixNodeI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems